org.apache.avro.generic

## Class GenericData.Fixed

- java.lang.Object
- - org.apache.avro.generic.GenericData.Fixed

All Implemented Interfaces:
  Comparable<GenericData.Fixed>, GenericContainer, GenericFixed

Enclosing class:
  GenericData

    public static class GenericData.Fixed
    extends Object
    implements GenericFixed, Comparable<GenericData.Fixed>

Default implementation of `GenericFixed`.

### Constructor Summary

Constructors
`protected` `Fixed()`
`` `Fixed(Schema schema)`
`` `Fixed(Schema schema, byte[] bytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `bytes()` Return the data.
`void` `bytes(byte[] bytes)`
`int` `compareTo(GenericData.Fixed that)`
`boolean` `equals(Object o)`
`Schema` `getSchema()` The schema of this instance.
`int` `hashCode()`
`protected void` `setSchema(Schema schema)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Fixed

    public Fixed(Schema schema)

#### Fixed

    public Fixed(Schema schema,
                 byte[] bytes)

#### Fixed

    protected Fixed()

### Method Detail

#### setSchema

    protected void setSchema(Schema schema)

#### getSchema

    public Schema getSchema()

Description copied from interface: `GenericContainer`
The schema of this instance.

Specified by:
  `getSchema` in interface `GenericContainer`

#### bytes

    public void bytes(byte[] bytes)

#### bytes

    public byte[] bytes()

Description copied from interface: `GenericFixed`
Return the data.

Specified by:
  `bytes` in interface `GenericFixed`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(GenericData.Fixed that)

Specified by:
  `compareTo` in interface `Comparable<GenericData.Fixed>`